#
# spec file for package wdm (Version 1.20)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  WindowMaker WindowMaker-devel hermes hermes-devel libPropList libPropList-devel libjpeg libpng libtiff libungif libz xf86
# usedforbuild    WindowMaker WindowMaker-devel aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip hermes hermes-devel kbd less libPropList libPropList-devel libjpeg libpng libtiff libtool libungif libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         wdm
Copyright:    GPL
Group:        X11/XFree86
Autoreqprov:  on
Version:      1.20
Release:      145
Source:       %{name}-%{version}.tar.gz
Source1:      intl.tgz
Source2:      Geeko.xpm
Source3:      SuSEconfig.wdm
Source4:      wdm-config.in
Patch:        %{name}-%{version}.dif
URL:          http://www.tcscs.com/wdm/
BuildRoot:    /var/tmp/%{name}-root
Summary:      WINGs Display Manager

%description
wdm is a modification/enhancement of XFree86's xdm which
provides a more flexible login panel while maintaining the
basic xdm code to interface with pam, etc.

Authors:
--------
    Jerome Alet <alet@unice.fr>
    Gene Czarcinski <genec@mindspring.com>

SuSE series: xwm

%define wdmdir /etc/X11/wdm
%prep
%setup -a 1 
%patch 
cp  -v %{S:2} src/pixmaps/
%{suse_update_config}

%build
aclocal
automake -a
autoconf
CFLAGS="$RPM_OPT_FLAGS" \
CXXFLAGS="$RPM_OPT_FLAGS" \
./configure --mandir=%{_mandir} \
            --prefix=%{prefix} \
	    --enable-pam \
            --prefix=/usr/X11R6 \
            --datadir=/usr/share \
	    --with-gfx-libs=/usr/X11R6/lib \
            --with-wdmdir=%{wdmdir}
             
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install 
mkdir -p $RPM_BUILD_ROOT/sbin/conf.d
install -m 755 %{S:3} $RPM_BUILD_ROOT/sbin/conf.d
install -m 644 %{S:4} $RPM_BUILD_ROOT/%{wdmdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README README.pam TODO
%config /etc/pam.d/wdm
/usr/X11R6/bin/wdm
/usr/X11R6/bin/wdmLogin
/usr/X11R6/man/man1/*
%config %{wdmdir}/pixmaps/*
%config(noreplace) %{wdmdir}/wdm-*
/usr/share/locale/*
/sbin/conf.d/SuSEconfig.wdm

%changelog -n wdm
* Tue Sep 04 2001 - nadvornik@suse.cz
- fixed typo in config file
* Fri Aug 24 2001 - ro@suse.de
- removed /lib/security path from pam.d config file
* Fri Aug 10 2001 - nadvornik@suse.cz
- created SuSEconfig script for list of available windowmanagers
- now uses the same scripts as xdm
* Mon Jun 11 2001 - pblaha@suse.cz
- add lib  hermes  for compile wdm
* Thu May 03 2001 - pblaha@suse.cz
- fix suffix for locale messages
* Wed May 02 2001 - pblaha@suse.cz
- use DEFAULT_WM for first run
* Thu Apr 12 2001 - pblaha@suse.cz
- fix compilation
* Thu Apr 05 2001 - pblaha@suse.cz
- patch for long password from Egmont Koblinger
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <WindowMaker> to <WindowMaker WindowMaker-devel>
* Mon Feb 26 2001 - pblaha@suse.cz
- fix exit wdmLogin option
- fix setings default language for wdmLogin
* Fri Feb 09 2001 - ro@suse.de
- fixed include
* Thu Jan 18 2001 - pblaha@suse.cz
- use SHADOWFLAG=-DUSESHADOW  to allow login local users
* Thu Dec 21 2000 - pblaha@suse.cz
- write licence GPL
* Tue Dec 19 2000 - pblaha@suse.cz
- fix problem with default X server  in file Xservers and
- add  germany and japanese locales
- but japanese work only  with patched WINGs
- now is compiled with lib*.a from WindowMaker for
- running without WindowMaker
* Fri Dec 08 2000 - pblaha@suse.cz
- remove Requiere tag and fix locales
* Fri Dec 01 2000 - pblaha@suse.cz
- create this package with support locales and SuSE Logo Geeko.xpm
